Loading...
Searching...
No Matches
ForceFields::CrystalFF::PlanarityContribs Class Reference

A term to capture all Inversion Contributionss. More...

`#include <PlanarityContribs.h>`

Inheritance diagram for ForceFields::CrystalFF::PlanarityContribs:

## Public Member Functions

| PlanarityContribs ()=default
| PlanarityContribs (ForceField *owner)
| Constructor.
| ~PlanarityContribs () override=default
void | addContrib (std::size_t idx1, std::size_t idx2, std::size_t idx3, std::size_t idx4, double forceConstant=1.0)
| Add contribution to this contrib.
double | getEnergy (double *pos) const override
| return the contribution of this contrib to the energy of a given state
void | getGrad (double *pos, double *grad) const override
PlanarityContribs * | copy () const override
| Copy constructor.
bool | empty () const
| Return true if there are no contributions in this contrib.
unsigned int | size () const
| Get number of contributions in this contrib.
Public Member Functions inherited from ForceFields::ForceFieldContrib
| ForceFieldContrib ()
| ForceFieldContrib (ForceFields::ForceField *owner)
virtual | ~ForceFieldContrib ()

## Additional Inherited Members

Protected Attributes inherited from ForceFields::ForceFieldContrib
ForceField * | dp_forceField {nullptr}
| our owning ForceField

## Detailed Description

A term to capture all Inversion Contributionss.

Definition at line 36 of file PlanarityContribs.h.

## Constructor & Destructor Documentation

## PlanarityContribs() [1/2]

ForceFields::CrystalFF::PlanarityContribs::PlanarityContribs | ( |  | ) |

default

Referenced by copy().

## PlanarityContribs() [2/2]

ForceFields::CrystalFF::PlanarityContribs::PlanarityContribs | ( | ForceField * | owner | ) |

Constructor.

Parameters

  owner | pointer to the owning ForceField

References ForceFields::ForceFieldContrib::ForceField.

## ~PlanarityContribs()

ForceFields::CrystalFF::PlanarityContribs::~PlanarityContribs | ( |  | ) |

override default

## Member Function Documentation

## addContrib()

void ForceFields::CrystalFF::PlanarityContribs::addContrib | ( | std::size_t | idx1,
|  | std::size_t | idx2,
|  | std::size_t | idx3,
|  | std::size_t | idx4,
|  | double | forceConstant = 1.0 )

Add contribution to this contrib.

Parameters

  idx1 |
  idx2 |
  idx3 |
  idx4 |
  forceConst |

## copy()

PlanarityContribs * ForceFields::CrystalFF::PlanarityContribs::copy | ( |  | ) | const

inline override virtual

Copy constructor.

Implements ForceFields::ForceFieldContrib.

Definition at line 72 of file PlanarityContribs.h.

References PlanarityContribs().

## empty()

bool ForceFields::CrystalFF::PlanarityContribs::empty | ( |  | ) | const

inline

Return true if there are no contributions in this contrib.

Definition at line 77 of file PlanarityContribs.h.

## getEnergy()

double ForceFields::CrystalFF::PlanarityContribs::getEnergy | ( | double * | pos | ) | const

override virtual

return the contribution of this contrib to the energy of a given state

Parameters

  pos | positions of the atoms in the current state

Implements ForceFields::ForceFieldContrib.

## getGrad()

void ForceFields::CrystalFF::PlanarityContribs::getGrad | ( | double * | pos,
|  | double * | grad ) const

override virtual

calculate the contribution of this contrib to the gradient at a given state

Parameters

  pos | positions of the atoms in the current state
  grad | gradients to be adapted

Implements ForceFields::ForceFieldContrib.

## size()

unsigned int ForceFields::CrystalFF::PlanarityContribs::size | ( |  | ) | const

inline

Get number of contributions in this contrib.

Definition at line 80 of file PlanarityContribs.h.

The documentation for this class was generated from the following file:

- PlanarityContribs.h